> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewercreateviewer



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/CreateViewer
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/CreateViewer:
    post:
      tags:
        - Viewer
      operationId: Viewer_CreateViewer
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateViewerRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateViewerResult'
components:
  schemas:
    CreateViewerRequest:
      type: object
      additionalProperties: false
      required:
        - Name
      properties:
        DestinationType:
          type: string
          nullable: true
        Name:
          type: string
          maxLength: 50
          minLength: 1
        Description:
          type: string
          maxLength: 256
          nullable: true
        Password:
          type: string
          maxLength: 50
          nullable: true
        Members:
          type: array
          nullable: true
          items:
            type: string
        MemberOf:
          type: array
          nullable: true
          items:
            type: string
        LicenseID:
          type: string
          nullable: true
    CreateViewerResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            DestinationId:
              type: string
              format: guid
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````